prepare for release
diff --git a/HISTORY.rst b/CHANGES.md
similarity index 73%
rename from HISTORY.rst
rename to CHANGES.md
index 1114b03..06f3738 100644
--- a/HISTORY.rst
+++ b/CHANGES.md
@@ -2,12 +2,12 @@
 =======
 
 0.7.1 (20-08-2014)
-__________________
+------------------
 
 * Add support for gp2 ec2 instances
 
 0.7.0 (11-08-2014)
-__________________
+------------------
 
 * Added support for snapshot operations
     * createSnapshot
@@ -15,12 +15,12 @@
     * listSnapshots
 
 0.6.1 (7-08-2014)
-_________________
+-----------------
 
 * Fix bug in VPC creation when ec2stack is configured with a basic zone
 
 0.6.0 (20-07-2014)
-__________________
+------------------
 
 * Added support for vpc operations
     * createVpc
@@ -30,26 +30,25 @@
 * Upgrade to Alpha
 
 0.5.0 (9-07-2014)
-_________________
+-----------------
 
 * Add support for configuration profiles
 
-    `$ ec2stack-configure --profile exampleprofile`
+    $ ec2stack-configure --profile exampleprofile
 
-    `$ ec2stack --profile exampleprofile`
+    $ ec2stack --profile exampleprofile
 
 * Give user the ability to debug app
 
-    `$ ec2stack --debug True`
+    $ ec2stack --debug True
 
 0.4.0 (9-06-2014)
-_________________
+-----------------
 
 * Make api version used in responses dynamic
 
-
 0.3.0 (8-06-2014)
-_________________
+-----------------
 
 * Added support for tag operations
     * createTags
@@ -57,12 +56,11 @@
     * listTags
 
 0.2.0 (01-4-2014)
-_________________
+-----------------
 
 * Change Amazon API support from 2013-10-15 to 2014-02-01
 
-
 0.1.0 (08-03-2014)
-__________________
+------------------
 
 * ec2stack conception
diff --git a/DEVELOPER.md b/DEVELOPER.md
new file mode 100644
index 0000000..289abfe
--- /dev/null
+++ b/DEVELOPER.md
@@ -0,0 +1,135 @@
+<!---
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+--->
+Abstract
+========
+
+This document is the Software Manual for EC2Stack. The Software user
+manual instructs how to install and use the EC2Stack from a developer's perspective.
+
+1 Introduction
+==============
+
+1.1 Intended readership
+------------------------
+
+This document covers the use for the following users of EC2Stack:
+
+- The Developer.
+
+1.2 Applicability
+-----------------
+
+This software user manual applies to EC2Stack, version 0.5.
+
+1.3 Purpose
+-----------
+
+The purpose of the software user manual is to assist:
+
+- Developers on extending or modifying EC2Stack.
+
+1.4 How to use this document
+----------------------------
+
+Section 2 includes information for a developer. This covers installation
+for development purposes, git repository location, test execution and
+the automated vagrant development environment.
+
+2 Developer Information
+=======================
+
+2.1 The code base
+-----------------
+
+The latest version of the EC2Stack code base can be found on github at
+https://github.com/apache/cloudstack-ec2stack
+
+To clone the repository execute the following command:
+
+```
+$ git clone git@github.com:apache/cloudstack-ec2stack.git
+```
+
+2.2 Installation for development purposes
+-----------------------------------------
+
+For developing EC2Stack it is recommended to run it in development mode.
+To do so install it using the following command:
+
+```
+$ python setup.py develop
+```
+
+EC2Stack will still need to be configured, this can be done so by
+executing ec2stack-configure as outlined in section 2 of this document.
+
+You can start gstack in debug mode using the optional -d or --debug flag
+
+$ ec2stack -d True
+
+2.3 Test Execution
+------------------
+
+To run the included tests the following software is required:
+
+-   pep8
+-   pylint
+-   nose
+-   mock
+-   coverage
+-   factory-boy==1.3.0
+
+These can be installed via the Python Package Index:
+
+```
+$ pip install pep8 pylint nose mock coverage factory-boy==1.3.0
+```
+
+Tests can be executed from the root of the code base as follows:
+
+### 2.3.1 Style Check
+
+```
+$ pep8 --ignore=E501 *.py ec2stack
+```
+
+### 2.3.2 Lint
+
+```
+$ pylint --rcfile=pylint.rc *.py ec2stack
+```
+
+### 2.3.3 Unit Tests
+
+```
+$ nosetests --with-coverage --cover-erase --cover-package=ec2stack
+--cover-html
+```
+
+A HTML base coverage report will be placed in ./cover
+
+2.4 Vagrant Development Environment
+-----------------------------------
+
+Within the code base there is a VagrantFile and Puppet Manifests.
+Assuming you have vagrant installed and configured you can execute
+vagrant up.
+
+This will bring up a new virtual machine configure with all necessary
+tools for development and the code base located at /vagrant``
diff --git a/Dockerfile b/Dockerfile
index 388762b..a3a2060 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,5 +1,29 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
 FROM ubuntu:14.04
 
+MAINTAINER "Apache CloudStack" <dev@cloudstack.apache.org>
+LABEL Description="Apache CloudStack EC2stack; Python based AWS EC2 Interface to the CloudStack API"
+LABEL Vendor="apache.org"
+LABEL License=ApacheV2
+LABEL Version=1.0.0
+
 RUN apt-get update
 RUN apt-get install -y python
 RUN apt-get install -y python-pip
diff --git a/NOTICE b/NOTICE
new file mode 100644
index 0000000..5a12f55
--- /dev/null
+++ b/NOTICE
@@ -0,0 +1,5 @@
+Apache CloudStack EC2stack
+Copyright 2015 The Apache Software Foundation
+
+This product includes software developed at
+The Apache Software Foundation (http://www.apache.org/).
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..36bcb31
--- /dev/null
+++ b/README.md
@@ -0,0 +1,61 @@
+Apache CloudStack EC2stack
+==========================
+
+**An EC2 Compatibility Interface For Apache CloudStack**
+
+.. image:: https://badge.fury.io/py/ec2stack.png
+    :target: https://pypi.python.org/pypi/ec2stack
+.. image:: https://api.travis-ci.org/apache/cloudstack-ec2stack.png?branch=master
+    :target: https://travis-ci.org/apache/cloudstack-ec2stack
+
+Description
+-----------
+
+Apache [CloudStack](http://cloudstack.apache.org) is an open source software designed to deploy and manage large networks of virtual machines, as highly available, highly scalable Infrastructure as a Service (IaaS) cloud computing platform.
+
+ec2stack takes Amazon EC2 API requests, maps these requests to the appropriate CloudStack API calls and parses the responses as required. This allows utilities created for the Amazon EC2 API to be used against Apache CloudStack.
+
+Easy setup with [Docker](http://docker.com)
+-------------------------------------------
+
+The easiest way to run ec2stack is to use a docker container. Pull the image from docker hub.
+
+    $ docker pull runseb/ec2stack
+
+Run an interactive container and configure ec2stack for your CloudStack endpoint.
+Be careful to use 0.0.0.0 as the address for ec2stack server.
+
+
+    $ docker run -t -i ec2stack ec2stack-configure
+
+Commit the configured container into a new image specific to your cloud.
+
+    $ docker commit <container id> ec2stack:yourcloud
+
+Run an container with the ec2stack command
+
+    $ docker run -d -p 5000:5000 ec2stack:yourcloud ec2stack
+
+Register a user
+
+
+    $ curl -d AWSSecretKey=yoursecretkey -d AWSAccessKeyId=yourapikey -d Action=RegisterSecretKey http://localhost:5000
+
+You now just need to configure your aws cli and use the local ec2stack point:
+
+    $ aws ec2 describe-images --endpoint=http://localhost:5000
+
+Usage
+-----
+
+**IMPORTANT**: Please note that the current version of ec2stack only supports AWS Signature Version 2 and therefore will NOT work with the current AWS CLI unless you explicitly tell it to use Version 2.  You can set the signature version for your default AWS CLI profile with:
+
+    $ aws configure set default.ec2.signature_version v2
+
+If you are using named profiles then you can set the version for the specific profile with:
+
+    $ aws configure set profile.<your profile name>.ec2.signature_version v2
+
+Both of the above commands will update your *~/.aws/config* file.
+
+For usage information please see the [User Guide](https://github.com/apache/cloudstack-ec2stack/USER.md).
diff --git a/README.rst b/README.rst
deleted file mode 100644
index e26ea4b..0000000
--- a/README.rst
+++ /dev/null
@@ -1,82 +0,0 @@
-========
-EC2STACK
-========
-
-An EC2 Compatibility Interface For Apache CloudStack
-####################################################
-
-.. image:: https://badge.fury.io/py/ec2stack.png
-    :target: https://pypi.python.org/pypi/ec2stack
-.. image:: https://api.travis-ci.org/apache/cloudstack-ec2stack.png?branch=master
-    :target: https://travis-ci.org/apache/cloudstack-ec2stack
-
-Description
------------
-
-Apache CloudStack_ is an open source software designed to deploy and manage large networks of virtual machines, as highly available, highly scalable Infrastructure as a Service (IaaS) cloud computing platform.
-
-ec2stack takes Amazon EC2 API requests, maps these requests to the appropriate CloudStack API calls and parses the responses as required. This allows utilities created for the Amazon EC2 API to be used against Apache CloudStack.
-
-Easy setup with Docker_
------------------------
-
-The easiest way to run ec2stack is to use a docker container. Pull the image from docker hub.
-
-::
-
-    docker pull runseb/ec2stack
-
-Run an interactive container and configure ec2stack for your CloudStack endpoint.
-Be careful to use 0.0.0.0 as the address for ec2stack server.
-
-::
-
-    docker run -t -i ec2stack ec2stack-configure
-
-Commit the configured container into a new image specific to your cloud.
-
-::
-
-    docker commit <container id> ec2stack:yourcloud
-
-Run an container with the ec2stack command
-
-::
-
-    docker run -d -p 5000:5000 ec2stack:yourcloud ec2stack
-
-Register a user
-
-::
-
-    curl -d AWSSecretKey=yoursecretkey -d AWSAccessKeyId=yourapikey -d Action=RegisterSecretKey http://localhost:5000
-
-You now just need to configure your aws cli and use the local ec2stack point:
-
-::
-
-    aws ec2 describe-images --endpoint=http://localhost:5000
-
-Usage
------
-
-**IMPORTANT**: Please note that the current version of ec2stack only supports AWS Signature Version 2 and therefore will NOT work with the current AWS CLI unless you explicitly tell it to use Version 2.  You can set the signature version for your default AWS CLI profile with:
-
-::
-
-    aws configure set default.ec2.signature_version v2
-
-If you are using named profiles then you can set the version for the specific profile with:
-
-::
-
-    aws configure set profile.<your profile name>.ec2.signature_version v2
-
-Both of the above commands will update your *~/.aws/config* file.
-
-
-For usage information please see the User Guide_.
-
-.. _Guide: https://github.com/BroganD1993/ec2stack/wiki/User-Guide
-.. _CloudStack: http://cloudstack.apache.org
-.. _Docker: http://www.docker.com
diff --git a/USER.md b/USER.md
new file mode 100644
index 0000000..e1069dd
--- /dev/null
+++ b/USER.md
@@ -0,0 +1,253 @@
+<!---
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+--->
+Abstract
+========
+
+This document is the Software Manual for EC2Stack. The Software user
+manual instructs how to install and use the EC2Stack from a user's perspective.
+
+Glossary
+========
+
+Amazon EC2 - A web service that provides resizable compute capacity in
+the cloud.
+
+Apache Cloudstack - Open source cloud computing software for creating,
+managing, and deploying infrastructure cloud services.
+
+Puppet: - IT automation software that helps system administrators manage
+infrastructure throughout its lifecycle, from provisioning and
+configuration to orchestration and reporting.
+
+Python package index - Official third-party software repository for the
+Python Programming language.
+
+Vagrant - Tool for building complete development environments.
+
+1 Introduction
+==============
+
+1.1 Intended readership
+------------------------
+
+This document covers the use for the following users of EC2Stack:
+
+- The User.
+
+1.2 Applicability
+-----------------
+
+This software user manual applies to EC2Stack, version 0.7.
+
+1.3 Purpose
+-----------
+
+The purpose of the software user manual is to assist:
+
+- Users installing and configuring EC2Stack.
+
+1.4 How to use this document
+----------------------------
+
+Section 2 includes an overview of EC2Stack from a user perspective. This
+covers installation of EC2Stack, its configuration and starting it.
+
+Section 3 includes information for a developer. This covers installation
+for development purposes, git repository location, test execution and
+the automated vagrant development environment.
+
+2 User Information
+==================
+
+2.1 Overview
+------------
+
+EC2Stack implements an API layer that sits on top of the Apache
+Cloudstack API. This API layer attempts to handle requests designed for
+the Amazon Web Services (AWS) Elastic Compute (EC2) API. It achieves
+this by retrieving EC2 requests, converting them to Apache Cloudstack
+requests and parsing the Apache Cloudstack responses into EC2 responses.
+
+2.2 Required dependencies
+-------------------------
+
+In order to run EC2Stack your machine will need Python 2.7 installed.
+EC2Stack will run best on a Linux or BSD based operating system.
+
+2.3 Installing the software
+---------------------------
+
+EC2Stack is available on the python package index (pip). If your machine
+has pip installed you can install EC2Stack by executing:
+
+```
+$ pip install ec2stack
+```
+
+Alternatively, you may install EC2Stack via a tar.gz archive:
+```
+$ wget https://pypi.python.org/packages/source/e/ec2stack/ec2stack-0.1.tar.gz
+```
+
+```
+$ tar xf ec2stack-0.1.tar.gz && cd ec2stack-0.1.tar.gz
+```
+
+```
+$ python setup.py install
+```
+
+2.4 Configuration
+-----------------
+
+Before you can start EC2Stack it must be configured. To so do run:
+
+```
+$ ec2stack-configure
+```
+
+You can configure a profile of your choice with the optional -p or --profile flag
+
+```
+$ ec2stack-configure -p exampleprofile
+```
+
+If you don't specify a profile, ec2stack-configure will default to initial
+
+You can configure an advanced profile with
+
+```
+$ ec2stack-configure -a True
+```
+
+Launching ec2stack-configure will prompt you for various configuration options.
+
+```
+EC2Stack bind address [0.0.0.0]:
+```
+
+Binds EC2Stack to the supplied IP address. If left unset EC2Stack will
+bind to all IP addresses assigned to the machine.
+
+```
+EC2Stack bind port [5000]:
+```
+
+Binds EC2stack to the supplied port. If left unset EC2Stack will port to
+port 5000.
+
+```
+Cloudstack host [localhost]:
+```
+
+This is the hostname of the Apache Cloudstack server you wish to run
+EC2Stack on-top off. If left unset EC2Stack will use localhost.
+
+```
+Cloudstack port [8080]:
+```
+
+This is the port of the Apache Cloudstack server you wish to run
+EC2Stack on-top off. If left unset EC2Stack will use 8080.
+
+```
+Cloudstack protocol [http]:
+```
+
+This is the protocol EC2Stack should use for connecting to the specified
+Apache Cloudstack API. If left unset EC2Stack will use http.
+
+```
+Cloudstack path [/client/api]:
+```
+
+This is the path of the Apache Cloudstack API that EC2Stack should
+query. If left unset EC2Stack will use /client/api
+
+```
+Cloudstack custom disk offering name [Custom]:
+```
+
+This is the name of a disk offering configured on your Apache Cloudstack
+server that allows for custom disk sizes to set by the user. If left
+unset EC2Stack will use Custom.
+
+```
+Cloudstack default zone name:
+```
+
+This is the zone you wish EC2Stack to use on your Apache Cloudstack
+infrastructure should the end user not of set a zone within their
+request. This field is required.
+
+```
+Do you wish to input instance type mappings? (Yes/No): y
+
+Insert the AWS EC2 instance type you wish to map: m1.small
+
+Insert the name of the instance type you wish to map this to: micro
+```
+
+This allows you to map EC2 instance types to Apache Cloudstack service
+offerings.
+
+```
+Do you wish to input resource type mappings for tag support? (Yes/No): y
+
+Insert the Cloudstack resource id you wish to map: examplevirtualmachineid
+
+Insert the Cloudstack resource type you wish to map this to: UserVm
+```
+
+This allows you to use tag related actions. 
+
+2.5 Running
+-----------
+
+To run EC2stack execute the following command:
+
+```
+$ ec2stack
+```
+
+You can launch ec2stack using a configuration profile created earlier using the optional -p or --profile flag
+
+```
+$ ec2stack -p exampleprofile
+```
+
+EC2Stack will start up and bind to the supplied IP address and port.
+
+2.6 Initial user registration
+-----------------------------
+
+Before EC2Stack can handle user requests the user must register their
+API Key and Secret Key.
+
+To register a secert key execute ec2stack-register:
+
+```
+$ ec2stack-register ec2stack_server_address api_key secret_key
+```
+
+To remove a secret key execute ec2stack-remove:
+
+```
+$ ec2stack-remove ec2stack_server_address api_key secret_key
+```
diff --git a/performrelease.sh b/performrelease.sh
new file mode 100755
index 0000000..35ffa43
--- /dev/null
+++ b/performrelease.sh
@@ -0,0 +1,149 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+version='TESTBUILD'
+sourcedir=~/cloudstack-ec2stack
+outputdir=/tmp/cloudstack-ec2stack-build/
+branch='master'
+tag='no'
+certid='X'
+committosvn='X'
+
+usage(){
+    echo "usage: $0 -v version [-b branch] [-s source dir] [-o output dir] [-t] [-u] [-c] [-h]"
+    echo "  -v sets the version"
+    echo "  -b sets the branch (defaults to 'master')"
+    echo "  -s sets the source directory (defaults to $sourcedir)"
+    echo "  -o sets the output directory (defaults to $outputdir)"
+    echo "  -t tags the git repo with the version"
+    echo "  -u sets the certificate ID to sign with (if not provided, the default key is attempted)"
+    echo "  -c commits build artifacts to cloudstack dev dist dir in svn"
+    echo "  -h"
+}
+
+while getopts v:s:o:b:u:tch opt
+do
+    case "$opt" in
+      v)  version="$OPTARG";;
+      s)  sourcedir="$OPTARG";;
+      o)  outputdir="$OPTARG";;
+      b)  branch="$OPTARG";;
+      t)  tag="yes";;
+      u)  certid="$OPTARG";;
+      c)  committosvn="yes";;
+      h)  usage
+          exit 0;;
+      /?)       # unknown flag
+          usage
+          exit 1;;
+    esac
+done
+shift `expr $OPTIND - 1`
+
+if [ $version == "TESTBUILD" ]; then
+    echo >&2 "A version must be specified with the -v option: build_asf.sh -v 4.0.0.RC1"
+    exit 1
+fi
+
+echo "Using version: $version"
+echo "Using source directory: $sourcedir"
+echo "Using output directory: $outputdir"
+echo "Using branch: $branch"
+if [ "$tag" == "yes" ]; then
+    if [ "$certid" == "X" ]; then
+        echo "Tagging the branch with the version number, and signing the branch with your default certificate."
+    else
+        echo "Tagging the branch with the version number, and signing the branch with certificate ID $certid."
+    fi
+else
+    echo "The branch will not be tagged.  You should consider doing this."
+fi
+
+if [ -d "$outputdir" ]; then
+    rm -r $outputdir/*
+else
+    mkdir $outputdir
+fi
+
+cd $sourcedir
+
+echo 'checking out correct branch'
+git checkout $branch
+
+git clean -f
+
+export commitsh=`git show HEAD | head -n 1 | cut -d ' ' -f 2`
+echo "releasing as $commitsh"
+
+echo 'archiving'
+git archive --format=tar --prefix=apache-cloudstack-ec2stack-$version-src/ $branch > $outputdir/apache-cloudstack-ec2stack-$version-src.tar
+bzip2 $outputdir/apache-cloudstack-ec2stack-$version-src.tar
+
+cd $outputdir
+echo 'armor'
+if [ "$certid" == "X" ]; then
+  gpg -v --armor --output apache-cloudstack-ec2stack-$version-src.tar.bz2.asc --detach-sig apache-cloudstack-ec2stack-$version-src.tar.bz2
+else
+  gpg -v --default-key $certid --armor --output apache-cloudstack-ec2stack-$version-src.tar.bz2.asc --detach-sig apache-cloudstack-ec2stack-$version-src.tar.bz2
+fi
+
+echo 'md5'
+gpg -v --print-md MD5 apache-cloudstack-ec2stack-$version-src.tar.bz2 > apache-cloudstack-ec2stack-$version-src.tar.bz2.md5
+
+echo 'sha'
+gpg -v --print-md SHA512 apache-cloudstack-ec2stack-$version-src.tar.bz2 > apache-cloudstack-ec2stack-$version-src.tar.bz2.sha
+
+echo 'verify'
+gpg -v --verify apache-cloudstack-ec2stack-$version-src.tar.bz2.asc apache-cloudstack-ec2stack-$version-src.tar.bz2
+
+if [ "$tag" == "yes" ]; then
+  echo 'tag'
+  cd $sourcedir
+  if [ "$certid" == "X" ]; then
+      git tag -s $version -m "Tagging release $version on branch $branch."
+  else
+      git tag -u $certid -s $version -m "Tagging release $version on branch $branch."
+  fi
+fi
+
+if [ "$committosvn" == "yes" ]; then
+  echo 'committing artifacts to svn'
+  rm -Rf /tmp/cloudstack-dev-dist
+  cd /tmp
+  svn co https://dist.apache.org/repos/dist/dev/cloudstack/ cloudstack-dev-dist
+  cd cloudstack-dev-dist
+  if [ -d "ec2stack-$version" ]; then
+    cd ec2stack-$version
+    svn rm *
+  else
+    mkdir ec2stack-$version
+    svn add ec2stack-$version
+    cd ec2stack-$version
+  fi
+  cp $outputdir/apache-cloudstack-ec2stack-$version-src.tar.bz2 .
+  cp $outputdir/apache-cloudstack-ec2stack-$version-src.tar.bz2.asc .
+  cp $outputdir/apache-cloudstack-ec2stack-$version-src.tar.bz2.md5 .
+  cp $outputdir/apache-cloudstack-ec2stack-$version-src.tar.bz2.sha .
+  svn add apache-cloudstack-ec2stack-$version-src.tar.bz2
+  svn add apache-cloudstack-ec2stack-$version-src.tar.bz2.asc
+  svn add apache-cloudstack-ec2stack-$version-src.tar.bz2.md5
+  svn add apache-cloudstack-ec2stack-$version-src.tar.bz2.sha
+  svn commit -m "Committing release candidate artifacts for $version to dist/dev/cloudstack in preparation for release vote"
+fi
+
+echo "completed.  use commit-sh of $commitsh when starting the VOTE thread"
diff --git a/setup.py b/setup.py
index f1cc10f..698afd7 100644
--- a/setup.py
+++ b/setup.py
@@ -38,10 +38,10 @@
 
 
 PROJECT = 'ec2stack'
-VERSION = '0.7.2'
-URL = 'http://github.com/BroganD1993/ec2stack'
-AUTHOR = 'Darren Brogan, Ian Duffy'
-AUTHOR_EMAIL = 'brogand2@mail.dcu.ie, duffyi3@mail.dcu.ie'
+VERSION = '1.0.0'
+URL = 'https://git-wip-us.apache.org/repos/asf?p=cloudstack-ec2stack.git'
+AUTHOR = 'Apache Software Foundation'
+AUTHOR_EMAIL = 'dev@cloudstack.apache.org'
 DESC = "EC2 compatibility interface for Apache Cloudstack"
 LONG_DESC = read_file('README.rst')
 REQUIRES = [